<div class="full-container" fxLayoutAlign="center center">
  <mat-card fxLayout="column" fxLayoutAlign="center center">
    <form #f class="login-form" fxLayout="column" fxLayoutAlign="space-around center" novalidate>
      <div fxLayout="column">
        <mat-form-field>
          <input matInput placeholder="Username" required [(ngModel)]="model.login"
                 [ngModelOptions]="{standalone: true}">
          <!-- Because we dont use FromGrouop standalone option is required -->
        </mat-form-field>
        <mat-form-field>
          <input matInput placeholder="Password" [type]="hidePassword ? 'password' : 'text'"
                 [(ngModel)]="model.password" [ngModelOptions]="{standalone: true}">
          <mat-icon matSuffix (click)="hidePassword = !hidePassword">{{hidePassword ? 'visibility' :
            'visibility_off'}}
          </mat-icon>
          <!-- matSuffix is responsible for positioning-->
        </mat-form-field>
      </div>
      <div fxLayoutAlign="space-around center">
        <button mat-raised-button color="primary" (click)="login()">
          <mat-icon matPrefix>how_to_reg</mat-icon>
          Login
        </button>
        <button mat-raised-button (click)="redirectToRegister()">
          <mat-icon matPrefix>person_add</mat-icon>
          Register
        </button>
      </div>
    </form>
  </mat-card>
</div>
